<?php

declare(strict_types=1);

namespace Dedi\SyliusMailAdminPlugin\Form\Registry;

class MailVariableDefinitionRegistry implements MailVariableDefinitionRegistryInterface
{
    private array $mailDefinitions;

    public function addVariableDefinition(string $mailCode, string $variableName, string $variableLabel): void
    {
        $this->mailDefinitions[$mailCode][] = new MailDefinition($mailCode, $variableName, $variableLabel);
    }

    public function getVariableDefinitionByMailCode(string $mailCode): array
    {
        return $this->mailDefinitions[$mailCode] ?? [];
    }
}
